﻿'Prologue


Public Class frmMinorCBDemo

    Private Sub mnuFileExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuFileExit.Click
        End

    End Sub

    Private Sub mnuFileReport_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuFileReport.Click
        'Declarations
        Dim srdCBDemo As System.IO.StreamReader
        Dim strLine As String
        Dim strRecord() As String
        Dim strEmpNum, strLast, strFirst As String
        Dim decSale As Decimal
        Dim strShift As String
        Dim strKey As String
        Dim strMinorKey As String
        Dim decMinorTotal, decTotal, decGrandTotal As Decimal
        Dim strDetail As String

        'Preprocessing
        'Display header
        rtbOut.Clear()
        rtbOut.AppendText("              Tabb Lett Computer Sales, Inc." & vbNewLine)
        rtbOut.AppendText("                    Daily Sales Report" & vbNewLine & vbNewLine)
        rtbOut.AppendText("Emp. No.  Employee Name             Sale    Shift                     " & vbNewLine)

        'Open file
        srdCBDemo = New System.IO.StreamReader("CBDemo.dat")
        'Read the first line of the file
        'Prime the pump
        strLine = srdCBDemo.ReadLine()

        'Set Control Break for first break
        strRecord = strLine.Split(",")
        strKey = strRecord(0)

        'Set Minor Control Break
        strMinorKey = strRecord(4)

        Do Until srdCBDemo.Peek = -1
            'Processing
            'Split
            strRecord = strLine.Split(",")
            strEmpNum = strRecord(0)
            strLast = strRecord(1)
            strFirst = strRecord(2)
            decSale = System.Convert.ToDecimal(strRecord(3))
            strShift = strRecord(4)

            If strMinorKey <> strShift Then
                'Process Minor Control Break
                rtbOut.AppendText("Total for Shift " & strMinorKey.PadRight(6) & decMinorTotal.ToString("c").PadLeft(20) & vbNewLine)
                rtbOut.AppendText(vbNewLine)
                'Reset variables
                decMinorTotal = 0
                strMinorKey = strShift

            End If

            If strKey <> strEmpNum Then
                'Process Control Break
                'Display employee total
                rtbOut.AppendText("Total for Employee No. " & strKey.PadRight(6) & decTotal.ToString("c").PadLeft(13) & vbNewLine)
                rtbOut.AppendText(vbNewLine)

                'Reset variables
                decGrandTotal += decTotal
                decTotal = 0
                strKey = strEmpNum

            End If

            decTotal += decSale
            decMinorTotal += decSale

            'Display record
            strDetail = strEmpNum.PadRight(10) & strFirst.PadRight(10) & _
            strLast.PadRight(8) & decSale.ToString("c").PadLeft(14).PadRight(18) & _
            strShift.PadRight(4)
            rtbOut.AppendText(strDetail & vbNewLine)

            'Read record
            strLine = srdCBDemo.ReadLine()

        Loop

        'Postprocessing
        'Close file
        srdCBDemo.Close()

        'Split
        strRecord = strLine.Split(",")
        strEmpNum = strRecord(0)
        strLast = strRecord(1)
        strFirst = strRecord(2)
        decSale = System.Convert.ToDecimal(strRecord(3))
        strShift = strRecord(4)

        decTotal += decSale
        decMinorTotal += decSale

        'Display record
        strDetail = strEmpNum.PadRight(10) & strFirst.PadRight(10) & _
        strLast.PadRight(8) & decSale.ToString("c").PadLeft(14).PadRight(18) & _
        strShift.PadRight(4)
        rtbOut.AppendText(strDetail & vbNewLine)

        'Process Minor Control Break for last employee
        'Display Shift Total
        rtbOut.AppendText("Total for Shift " & strMinorKey.PadRight(6) & decMinorTotal.ToString("c").PadLeft(20) & vbNewLine)
        rtbOut.AppendText(vbNewLine)

        'Process Control Break for last employee
        'Display Employee Total
        rtbOut.AppendText("Total for Employee No. " & strKey.PadRight(6) & decTotal.ToString("c").PadLeft(13) & vbNewLine)
        rtbOut.AppendText(vbNewLine)

        'Add last employee to total
        decGrandTotal += decTotal

        'Display grand total
        rtbOut.AppendText("Total for All Employees " & decGrandTotal.ToString("c").PadLeft(18) & vbNewLine)

    End Sub

    Private Sub mnuHelpFlowchart_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuHelpFlowchart.Click
        'Display Flowchart form
        Dim frmFlowchart As New frmFlowchart
        Me.Hide()
        frmFlowchart.Show()

    End Sub

    Private Sub mnuHelpHelp_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuHelpHelp.Click
        'Display Help form
        Dim frmHelp As New frmHelp
        Me.Hide()
        frmHelp.Show()

    End Sub
End Class
