﻿'Prologue


Public Class frmUpdateREValues

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        End

    End Sub

    Private Sub btnUpdate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnUpdate.Click
        Dim srd2009Values As System.IO.StreamReader
        Dim swr2010Values As System.IO.StreamWriter
        Dim strRecord() As String
        Dim strLine As String
        Dim strYear As String
        Dim decPurchase As Decimal
        Dim strType As String
        Dim dec2009Value As Decimal
        Dim dec2010Value As Decimal
        Dim sngRate As Single
        Dim strDetail As String

        'Preprocessing
        srd2009Values = New IO.StreamReader("2009RealEstateValues.dat")
        swr2010Values = System.IO.File.AppendText("2010RealEstateValues.dat")

        'Header
        rtbOut.Clear()
        rtbOut.AppendText("            Dewey, Swindel and Howe Real Estate" & vbNewLine & vbNewLine)
        rtbOut.AppendText("Year      Purchase    Type          2009            2010" & vbNewLine)
        rtbOut.AppendText("           Price                   Value           Value" & vbNewLine)

        Do Until srd2009Values.Peek = -1
            'Input
            strRecord = strLine.Split(",")
            strLine = srd2009Values.ReadLine
            strYear = strRecord(0)
            decPurchase = Convert.ToDecimal(strRecord(1))
            strType = strRecord(2)
            dec2009Value = Convert.ToDecimal(strRecord(3))

            'Processing
            Select Case strType
                Case Is = "Home"
                    sngRate = 0.07
                Case Is = "Comm"
                    sngRate = 0.05
                Case Is = "Ind"
                    sngRate = -0.03
                Case Is = "Farm"
                    sngRate = 0.02
            End Select

            dec2010Value = dec2009Value + (dec2009Value * sngRate)

            'Output
            'Screen

            strDetail = strYear.PadRight(6) & decPurchase.ToString("c0").PadLeft(12) & _
            strType.PadLeft(8).PadRight(10) & dec2009Value.ToString("c0").PadLeft(12) & _
            dec2010Value.ToString("c0").PadLeft(16)
            rtbOut.AppendText(strDetail & vbNewLine)

            'File
            strDetail = strType & "," & decPurchase.ToString & "," & _
            strYear & "," & dec2010Value.ToString("c")

            swr2010Values.WriteLine(strDetail)
            srd2009Values.Close()
        Loop

        'Postprocessing
        swr2010Values.Close()


    End Sub

End Class
