﻿Public Class frmMergeExample

    Private Sub btnFirst_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFirst.Click
        'Declarations
        Dim srdFirst As New System.IO.StreamReader("Alpha.dat")
        Dim strRecord() As String
        Dim strLine As String
        Dim strLast, strFirst, strPhone, strProspect, strType As String
        Dim strDetail As String

        'Preprocessing
        'Header
        rtbFirst.Clear()
        rtbFirst.AppendText("Last name   First name  Phone     Prospect    Vehicle" & vbNewLine & vbNewLine)

        'Processing
        Do Until srdFirst.Peek = -1
            'Input
            strLine = srdFirst.ReadLine
            strRecord = strLine.Split(",")
            strLast = strRecord(0)
            strFirst = strRecord(1)
            strPhone = strRecord(2)
            strProspect = strRecord(3)
            strType = strRecord(4)

            'Output
            strDetail = strLast.PadRight(12) & strFirst.PadRight(12) & strPhone.PadRight(10) & _
            strProspect.PadRight(12) & strType.PadRight(10)
            rtbFirst.AppendText(strDetail & vbNewLine)

        Loop

        'Postprocessing
        srdFirst.Close()

    End Sub

    Private Sub btnSecond_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSecond.Click
        'Declarations
        Dim srdSecond As New System.IO.StreamReader("Beta.dat")
        Dim strRecord() As String
        Dim strLine As String
        Dim strLast, strFirst, strPhone, strProspect, strType As String
        Dim strDetail As String

        'Preprocessing
        'Header
        rtbSecond.Clear()
        rtbSecond.AppendText("Last name   First name  Phone     Prospect    Vehicle" & vbNewLine & vbNewLine)

        'Processing
        Do Until srdSecond.Peek = -1
            'Input
            strLine = srdSecond.ReadLine
            strRecord = strLine.Split(",")
            strLast = strRecord(0)
            strFirst = strRecord(1)
            strPhone = strRecord(2)
            strProspect = strRecord(3)
            strType = strRecord(4)

            'Output
            strDetail = strLast.PadRight(12) & strFirst.PadRight(12) & strPhone.PadRight(10) & _
            strProspect.PadRight(12) & strType.PadRight(10)
            rtbSecond.AppendText(strDetail & vbNewLine)

        Loop

        'Postprocessing
        srdSecond.Close()
    End Sub

    Private Sub btnMerge_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMerge.Click
        'Declarations
        Dim srdFirst As New System.IO.StreamReader("Alpha.dat")
        Dim srdSecond As New System.IO.StreamReader("Beta.dat")
        Dim swrMerge As New System.IO.StreamWriter("Merge.dat")
        Dim strRecord() As String
        Dim strLine As String
        Dim strLast, strFirst, strPhone, strProspect, strType As String
        Dim strDetail As String

        'Preprocessing
        'Header
        rtbMerge.Clear()
        rtbMerge.AppendText("Last name   First name  Phone     Prospect    Vehicle" & vbNewLine & vbNewLine)

        'Processing
        Do Until srdFirst.Peek = -1
            'Input
            strLine = srdFirst.ReadLine
            strRecord = strLine.Split(",")
            strLast = strRecord(0)
            strFirst = strRecord(1)
            strPhone = strRecord(2)
            strProspect = strRecord(3)
            strType = strRecord(4)

            'Output
            'Screen
            strDetail = strLast.PadRight(12) & strFirst.PadRight(12) & strPhone.PadRight(10) & _
            strProspect.PadRight(12) & strType.PadRight(10)
            rtbMerge.AppendText(strDetail & vbNewLine)

            'File
            strDetail = strLast & "," & strFirst & "," & strPhone & "," & _
             strProspect & "," & strType
            swrMerge.WriteLine(strDetail)

        Loop

        Do Until srdSecond.Peek = -1
            'Input
            strLine = srdSecond.ReadLine
            strRecord = strLine.Split(",")
            strLast = strRecord(0)
            strFirst = strRecord(1)
            strPhone = strRecord(2)
            strProspect = strRecord(3)
            strType = strRecord(4)

            'Output
            'Screen
            strDetail = strLast.PadRight(12) & strFirst.PadRight(12) & strPhone.PadRight(10) & _
            strProspect.PadRight(12) & strType.PadRight(10)
            rtbMerge.AppendText(strDetail & vbNewLine)

            'File
            strDetail = strLast & "," & strFirst & "," & strPhone & "," & _
            strProspect & "," & strType
            swrMerge.WriteLine(strDetail)

        Loop

        'Postprocessing
        srdFirst.Close()
        srdSecond.Close()
        swrMerge.Close()

    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        End

    End Sub
End Class
