﻿'Prologue


Public Class frmSavingsUpdate

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        End

    End Sub

    Private Sub btnUpdate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnUpdate.Click
        'Declarations
        Dim srdApr As New System.IO.StreamReader("AprSavingsBal.dat")
        Dim swrMay As New System.IO.StreamWriter("MaySavingsBal.dat")
        Dim strRecord() As String
        Dim strLine As String
        Dim strAcctNum As String
        Dim decAprBalance As Decimal
        Dim decMayBalance As Decimal
        Dim sngRate As Single = 0.003
        Dim decInterest As Decimal

        'Preprocessing
        'Header
        rtbOut.Clear()
        rtbOut.AppendText("                Bedford Savings and Loan" & vbNewLine)
        rtbOut.AppendText("          Savings Account Balances -- May 2010" & vbNewLine & vbNewLine)
        rtbOut.AppendText("Acct Num.     April Balance  Interest    May Balance" & vbNewLine)

        Do Until srdApr.Peek = -1
            'Input
            strLine = srdApr.ReadLine
            strRecord = strLine.Split(",")
            strAcctNum = strRecord(0)
            decAprBalance = Convert.ToDecimal(strRecord(1))

            'Processing
            decInterest = decAprBalance * sngRate
            decMayBalance = decAprBalance + decInterest

            'Output
            'Screen
            rtbOut.AppendText(strAcctNum.PadRight(12) & decAprBalance.ToString("c").PadLeft(15) & _
decInterest.ToString("c").PadLeft(10) & decMayBalance.ToString("c").PadLeft(15) & vbNewLine)

            'File
            swrMay.WriteLine(strAcctNum & "," & decMayBalance.ToString("f2"))

        Loop
        'Postprocessing
        srdApr.Close()
        swrMay.Close()

    End Sub
End Class
